de.esprit.appsuite.type

## Class CheckOptionWrapper<T>

- java.lang.Object
- - de.esprit.appsuite.nls.RawNlsKey
  - - de.esprit.appsuite.type.CheckOptionWrapper<T>

- All Implemented Interfaces:
    NlsKey, CheckOption, java.io.Serializable

      public class CheckOptionWrapper<T>
      extends RawNlsKey
      implements CheckOption

  This class allows any `PersistentName` object to be used as a `CheckOption`. Thus the `CheckOption` needs not implement the methods of `NlsKey` by its own.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckOptionWrapper(T object, java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `T` | `getWrappedObject()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.esprit.appsuite.nls.RawNlsKey

      `getAppKey, getSubKey, getText, getTipText, getTranslationKey, name`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `getAppKey, getSubKey, getText, name`

- - ### Constructor Detail

    - #### CheckOptionWrapper

          public CheckOptionWrapper(T object,
                            java.lang.String name)

  - ### Method Detail

    - #### getWrappedObject

          public T getWrappedObject()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RawNlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.